%define upstream_name    Dist-Zilla-Plugin-AutoVersion-Relative
%define upstream_version 1.001001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Time-Relative versioning
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Const::Fast)
BuildRequires: perl(DateTime) >= 0.500.0
BuildRequires: perl(Dist::Zilla) >= 2.101.310
BuildRequires: perl(Dist::Zilla::Plugin::GatherDir)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(Dist::Zilla::Role::VersionProvider)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(Dist::Zilla::Util::ConfigDumper)
BuildRequires: perl(Dist::Zilla::Util::Test::KENTNL)
BuildRequires: perl(Eval::Closure)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose) >= 1.90.0
BuildRequires: perl(MooseX::StrictConstructor) >= 0.100.0
BuildRequires: perl(MooseX::Types::DateTime) >= 0.50.0
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Package::DeprecationManager)
BuildRequires: perl(Readonly)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.1.1-4.mga8
+ Revision: 1503976
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.1.1-3.mga7
+ Revision: 1282987
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.1.1-2.mga7
+ Revision: 1164105
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 sander85 <sander85> 1.1.1-1.mga7
+ Revision: 1156108
- update to 1.001001

* Sun Jun 19 2016 pterjan <pterjan> 1.1.0-5.mga6
+ Revision: 1025826
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.1.0-4.mga6
+ Revision: 948347
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-3.mga5
+ Revision: 745490
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 sander85 <sander85> 1.1.0-1.mga5
+ Revision: 670011
- update to 1.001000

* Sat Aug 16 2014 sander85 <sander85> 1.0.1-1.mga5
+ Revision: 664055
- update to 1.000001

* Fri Aug 01 2014 sander85 <sander85> 1.0.0-1.mga5
+ Revision: 658952
- update to 1.000000

* Sat Oct 19 2013 umeabot <umeabot> 0.30.0.20-2.mga4
+ Revision: 526901
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.30.0.20-1.mga4
+ Revision: 439085
- update to 0.03000002

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0.10-2.mga3
+ Revision: 366041
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 23 2012 jquelin <jquelin> 0.30.0.10-1.mga2
+ Revision: 212758
- update to 0.03000001

* Fri Apr 08 2011 jquelin <jquelin> 0.10.603.90-1.mga1
+ Revision: 82207
- update to 0.01060309

* Wed Jan 26 2011 jquelin <jquelin> 0.10.371.180-1.mga1
+ Revision: 40357
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-AutoVersion-Relative

